Name:           perl-Alien-xz
%global debug_package %{nil}
Version:        0.09
Release:        1%{?dist}
Summary:        Find or build xz
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Alien-xz/
Source0:        http://www.cpan.org/authors/id/P/PL/PLICEASE/Alien-xz-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.006
BuildRequires:  perl(Alien::Base) >= 0.038
BuildRequires:  perl(Alien::Build) >= 0.40
BuildRequires:  perl(Alien::Build::MM) >= 0.40
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test2::V0) >= 0.000121
BuildRequires:  perl(Test::Alien)
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl-generators
BuildRequires:  xz-devel
BuildRequires:  perl(Alien::Autotools)
Requires:       perl(Alien::Base) >= 0.038
Requires:       xz
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Provides:       perl(Alien::xz)

%description
This package can be used by other CPAN modules that require xz, the
compression utility, or liblzma, which comes with it.

%prep
%setup -q -n Alien-xz-%{version}
perl -pi.bak -e "s/plugin 'Download::GitHub' =>/my \@repository =/; s/(share {)/probe sub { 'system' }; meta->prop->{arch} = 0; \1/" ./alienfile 
perl -pi.bak -e 's/.*Alien::Build::Plugin::Download::GitHub.*//' ./Makefile.PL

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes LICENSE META.json README alienfile author.yml dist.ini perlcriticrc
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Apr 28 2024 rpm 0.09-1
- Specfile autogenerated by cpanspec 1.78.
